package endpoints

/* ---------------------------------------------------------------- *
 * IMPORTS
 * ---------------------------------------------------------------- */

import (
	"ads/internal/core/logging"
	"ads/internal/setup"
	"ads/internal/setup/cli"
)

/* ---------------------------------------------------------------- *
 * ENDPOINT version
 * ---------------------------------------------------------------- */

func Version() {
	logging.SetForce(true)
	logging.LogPlain(setup.Version())
}

/* ---------------------------------------------------------------- *
 * ENDPOINT help
 * ---------------------------------------------------------------- */

func Help() {
	logging.SetForce(true)
	cli.ParseCli([]string{}) // <- generiere leere Instanz für Parser, um voll Hilfsanleitug zu zeigen
	logging.LogPlain(
		"",
		setup.Logo(),
		// 	setup.Help(),
		cli.Parser.Usage(nil),
		"",
	)
}
